package log4jdemo;

import org.apache.log4j.Logger;

/** Logging-Zeitmessung: Asynchrones Logging mit AsyncAppender ist etwa 20 % schneller */
public class Log4jZeitmessung
{
   private static Logger logger = Logger.getLogger( Log4jZeitmessung.class );

   public static void main( String[] args )
   {
      long startZeitMs = System.nanoTime() / 1000000L;
      long dauerMs = 0;
      for( int i = 0; i < 10000; i++ ) {
         dauerMs = System.nanoTime() / 1000000L - startZeitMs;
         logger.info( "i: " + i + ", Aktuelle Dauer: " + dauerMs + " ms" );
      }
      logger.info( "Gesamtauer: " + dauerMs );
      System.out.println( "Gesamtauer: " + dauerMs + " ms" );
      // Etwas Nachlaufzeit fuer asynchrones Logging:
      try { Thread.sleep( 1000 ); } catch( InterruptedException e ) {}
   }
}
