package meinpackage6;

import java.io.*;
import org.apache.log4j.FileAppender;
import org.apache.log4j.helpers.LogLog;
import org.apache.log4j.spi.LoggingEvent;

public class HeartbeatFileAppender extends FileAppender
{
  private RandomAccessFile raFile;

  /** @see org.apache.log4j.FileAppender#activateOptions() */
  @Override
  public void activateOptions()
  {
    super.activateOptions();
    if( null == raFile ) {
      if( null != fileName ) {
        try {
          raFile = new RandomAccessFile( fileName, "rw" );
        } catch( FileNotFoundException ex ) { //
        }
      }
      if( null == raFile ) {
        LogLog.error( "Heartbeat-Logdatei '" + fileName
                      + "' kann nicht angelegt werden fuer '"
                      + name + "'." );
      }
    }
  }

  /** @see org.apache.log4j.WriterAppender#subAppend(LoggingEvent) */
  @Override
  protected void subAppend( LoggingEvent event )
  {
    // Nicht 'super.subAppend(event)' aufrufen!
    if( null != raFile ) {
      try {
        raFile.seek( 0 );
        raFile.setLength( 0 );
        raFile.writeBytes( getLayout().format( event ) );
      } catch( IOException ex ) {
        LogLog.error( "Probleme beim Schreiben in Heartbeat-Logdatei '"
                      + fileName + "' fuer '" + name + "'." );
      }
    }
  }
}
